commit:     fc96b90fd1b2b7a53a450b567685e278d1e78645
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 15 13:14:41 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 15 13:14:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc96b90f

app-text/libpaper: add 2.0.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/libpaper/Manifest              |  1 +
 app-text/libpaper/libpaper-2.0.0.ebuild | 40 +++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-text/libpaper/Manifest b/app-text/libpaper/Manifest
index 47f83793461d..0c63f4451a96 100644
--- a/app-text/libpaper/Manifest
+++ b/app-text/libpaper/Manifest
@@ -1,3 +1,4 @@
 DIST libpaper-1.2.3.tar.gz 1221218 BLAKE2B 
55b209896e50f177b9dbd04a53a1663846a2d43c91487d62b1161a09416cbeaf3057ec5c79248a3d54eb35a61081d8e1d8fe0fb80304b03bf3a1b5151f21f2c3
 SHA512 
768e15f57e6c2ab6805c175ba0eebf1d130b8ff16b1c929e6557c5d8ceb7c94ead4e38cfc48021a5059e55cf43595729e8c04c9eee7949bdd516c8267fb7a6af
 DIST libpaper-1.2.4.tar.gz 1221202 BLAKE2B 
bdcf4372caa045207acdb28c10e7981c3f23f12ef54c989395be2efe38ece51f437fa5bf50618aae7276a864bffc0eef81ab4727b912d63673615f12bf1f2cad
 SHA512 
1baed66c4ecc725f3eae6dda0b4401c17baf23ef846486c1249f075a6e01537c1050d9617e929cff7a38d2b32fd1f8e1e7d7e090eae300434544a92b210a0fca
+DIST libpaper-2.0.0.tar.gz 1221217 BLAKE2B 
ef2c08ff7dc537734d080a29560a711b196b05a3b0c4b375c8dc73d4dd9588156d325d233e27940fac96a18dfa6bf523128b53eb4c7098e561aa6054efb88408
 SHA512 
ca5c79969a8c5d56322a6993917d5aa47089bb396a144edd0d9040b0bdde78c8fb59468a3d4063ae1fb323a1b23fb28169616d153de65f9085351b9c9d47f8c0
 DIST libpaper_1.1.28.tar.gz 42356 BLAKE2B 
48c4a28c6ff01bd91e257b6b306e787e5c6112052cff09bdb501d1cc4ddd10964c3588942098a6092d5a44391dfb22e10d5147d4c5012497f473473129ff7422
 SHA512 
3bf6ebb0af89931d2f72ea4a09a7fa958b2facda5f238983ec7bac39652e08614b33f0de3af74a03457b2a4203eee4950bf18a4b726e79aa64093ace6a1fb0bc

diff --git a/app-text/libpaper/libpaper-2.0.0.ebuild 
b/app-text/libpaper/libpaper-2.0.0.ebuild
new file mode 100644
index 000000000000..4891072cc566
--- /dev/null
+++ b/app-text/libpaper/libpaper-2.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Library for handling paper characteristics"
+HOMEPAGE="https://github.com/rrthomas/libpaper";
+SRC_URI="https://github.com/rrthomas/libpaper/releases/download/v${PV}/${P}.tar.gz";
+
+# paperspecs is public-domain
+LICENSE="LGPL-3+ public-domain"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+BDEPEND="
+       sys-apps/help2man
+"
+
+# False positive (runs within a conditional)
+QA_AM_MAINTAINER_MODE=".*help2man.*"
+
+src_configure() {
+       econf --enable-relocatable
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+
+       dodir /etc
+       (paperconf 2>/dev/null || echo a4) > "${ED}"/etc/papersize \
+               || die "papersize config failed"
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "Run e.g. \"paperconfig -p letter\" as root to use 
letter-pagesizes"
+       fi
+}

Reply via email to